> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ledger.nxos.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Asset Move Type



## OpenAPI

````yaml ledger-openapi POST /v1/ledger/{ledger_key}/type/asset-move
openapi: 3.0.0
info:
  title: Ledger API
  version: 0.0.0
servers:
  - url: https://api.sandbox.nxos.io
    description: single server endpoint
    variables: {}
security: []
tags: []
paths:
  /v1/ledger/{ledger_key}/type/asset-move:
    post:
      summary: Create Asset Move Type
      operationId: AssetMove_createAssetMoveType
      parameters:
        - $ref: '#/components/parameters/BasicAuthHeader'
        - $ref: '#/components/parameters/LedgerKey'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TypeCreationRequest'
      responses:
        '200':
          description: The request has succeeded.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Type'
components:
  parameters:
    BasicAuthHeader:
      name: Authorization
      in: header
      required: true
      description: |-
        The Basic Authentication header.
        Format: "Basic {base64(orgID:apiKey)}"
      schema:
        type: string
    LedgerKey:
      name: ledger_key
      in: path
      required: true
      description: |-
        The key of the ledger. 
        Examples: 
        - "123e4567-e89b-12d3-a456-426614174000"
        - "id:123e4567-e89b-12d3-a456-426614174000"
        - "ref:ledger:customer_a"
      schema:
        type: string
  schemas:
    TypeCreationRequest:
      type: object
      required:
        - code
      properties:
        code:
          type: string
          minLength: 1
          description: >-
            The code of the type. This code will be unique across the ledger and
            will be used to reference the type. For account types this could be
            something like 'checking' or 'savings', for asset move types this
            could be 'remittance' or 'withdrawal'. And for asset move decline
            types this could be 'invalid_destination'
        metadata:
          type: object
          additionalProperties: {}
          description: Additional, optional, metadata for the type
    Type:
      type: object
      required:
        - code
      properties:
        code:
          type: string
          minLength: 1
          description: The code of the type. This code will be unique across the ledger
        metadata:
          type: object
          additionalProperties: {}
          description: Additional, optional, metadata for the type

````